---
swagger: "2.0"
info:
  version: "2017-07-19T18:27:00Z"
  title: "Giift - UAT"
host: "yhj46wud5m.execute-api.us-east-1.amazonaws.com"
basePath: "/UAT"
schemes:
- "https"
paths:
  /api/auth/v1/oauth2/token:
    post:
      responses:
        200:
          description: "200 response"
  /api/card/v1/add/init/{dmo_id}:
    get:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/add/resume/{order_id}:
    get:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/add/step/{order_id}/{action}:
    post:
      parameters:
      - name: "action"
        in: "path"
        required: true
        type: "string"
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/barcode/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/barcode64/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/credit/{card_id}:
    post:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/debit/{card_id}:
    post:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/item/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    delete:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/lookup:
    get:
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/new/{dmo_id}/{user_id}:
    get:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      - name: "user_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/pdf/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/send/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/card/track/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/statu/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/statu/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/card/v1/statu/item/{statu_id}:
    get:
      parameters:
      - name: "statu_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/add_form/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/for_card/{card_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/item/{transaction_id}:
    get:
      parameters:
      - name: "transaction_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/pdf/{transaction_id}:
    get:
      parameters:
      - name: "transaction_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/refund/{transaction_id}:
    get:
      parameters:
      - name: "transaction_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/transaction/send/{transaction_id}:
    get:
      parameters:
      - name: "transaction_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/type/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/card/v1/type/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/card/v1/type/item/{type_id}:
    get:
      parameters:
      - name: "type_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/buy/card:
    post:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/buyable/form/{buyable_id}:
    get:
      parameters:
      - name: "buyable_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/buyable/item/{type}/{id}:
    get:
      parameters:
      - name: "type"
        in: "path"
        required: true
        type: "string"
      - name: "id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/buyable/list:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/cart/all:
    get:
      responses:
        200:
          description: "200 response"
    delete:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/cart/item/{cart_id}:
    get:
      parameters:
      - name: "cart_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    delete:
      parameters:
      - name: "cart_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/cart/new:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/cart/order/{cart_id}:
    get:
      parameters:
      - name: "cart_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/delivery/admin_form:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/delivery/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/delivery/item/{delivery_id}:
    get:
      parameters:
      - name: "delivery_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "delivery_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/delivery/required_fields/{delivery_id}:
    get:
      parameters:
      - name: "delivery_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/item/item:
    post:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/item/item/{item_id}:
    delete:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/order/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/order/available_payment_providers/{order_id}:
    get:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/order/delivery/{order_id}:
    post:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/order/item/{order_id}:
    get:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/order/payment/{order_id}:
    post:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/payment/admin_form:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/payment/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/cart/v1/payment/item/{payment_id}:
    get:
      parameters:
      - name: "payment_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "payment_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/payment/pay/{payment_id}:
    post:
      parameters:
      - name: "payment_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/cart/v1/payment/required_fields/{payment_id}:
    get:
      parameters:
      - name: "payment_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/common/v1/country/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/common/v1/country/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/common/v1/country/item/{country_code}:
    get:
      parameters:
      - name: "country_code"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/common/v1/currency/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/common/v1/currency/item/{currency_code}:
    get:
      parameters:
      - name: "currency_code"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/common/v1/notifier/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/common/v1/notifier/item:
    post:
      responses:
        200:
          description: "200 response"
  /api/common/v1/notifier/item/{item_id}:
    get:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    delete:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/common/v1/tnc/all:
    get:
      responses:
        200:
          description: "200 response"
  /api/common/v1/tnc/form/{item_id}:
    get:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/common/v1/tnc/item:
    post:
      responses:
        200:
          description: "200 response"
  /api/common/v1/tnc/item/{item_id}:
    get:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    delete:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "item_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categorie/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categorie/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categorie/item/{categorie_id}:
    get:
      parameters:
      - name: "categorie_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categories/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categories/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/categories/item/{categories_id}:
    get:
      parameters:
      - name: "categories_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/external_ref/{scheme}/{reference}:
    get:
      parameters:
      - name: "scheme"
        in: "path"
        required: true
        type: "string"
      - name: "reference"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/form/{dmo_id}:
    get:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/item:
    post:
      responses:
        200:
          description: "200 response"
  /api/dmo/v1/dmo/item/{dmo_id}:
    get:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    delete:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
    patch:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/exchange/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/exchange/around/{dmo_id}:
    get:
      parameters:
      - name: "dmo_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/exchange/find:
    post:
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/exchange/item/{exchange_id}:
    get:
      parameters:
      - name: "exchange_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/order/all/{date}:
    get:
      parameters:
      - name: "date"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/order/init/{card_id}/{exchange_id}:
    get:
      parameters:
      - name: "card_id"
        in: "path"
        required: true
        type: "string"
      - name: "exchange_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/order/item/{order_id}:
    get:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/order/resume/{order_id}:
    get:
      parameters:
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/exchange/v1/order/step/{order_id}/{action}:
    post:
      parameters:
      - name: "action"
        in: "path"
        required: true
        type: "string"
      - name: "order_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/report/v1/report/execute/{report_id}:
    get:
      parameters:
      - name: "report_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/report/v1/report/info/{report_id}:
    get:
      parameters:
      - name: "report_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/report/v1/report/list:
    get:
      responses:
        200:
          description: "200 response"
  /api/user/v1/social/is_linked/{provider}:
    get:
      parameters:
      - name: "provider"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/user/v1/social/link/{provider}:
    post:
      parameters:
      - name: "provider"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/user/v1/social/unlink/{provider}:
    get:
      parameters:
      - name: "provider"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
  /api/user/v1/user/item:
    get:
      responses:
        200:
          description: "200 response"
    post:
      responses:
        200:
          description: "200 response"
    patch:
      responses:
        200:
          description: "200 response"
  /api/user/v1/user/portfolio_value:
    get:
      responses:
        200:
          description: "200 response"
  /api/user/v1/user/push_player_id:
    post:
      responses:
        200:
          description: "200 response"
  /api/user/v1/user/push_player_id/{player_id}:
    delete:
      parameters:
      - name: "player_id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "200 response"
